Bug 448372 - NCQ not supported under RHEL5U2
NCQ not supported under RHEL5U2
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: diskdumputils (Show other bugs)
i386 Linux
low Severity high
: rc
: ---
Assigned To: David Milburn
Depends On:
  Show dependency treegraph
Reported: 2008-05-26 06:19 EDT by wuxiaoping
Modified: 2010-05-25 18:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-05-25 18:32:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description wuxiaoping 2008-05-26 06:19:36 EDT
Description of problem:
NCQ seem not support under RHEL5U2(2.6.18-85).

The dmesg information show that the kernel support the NCQ but in disable mode:

[root@nsgsh-dhcp-130 ~]# dmesg | grep ata2
ata2: SATA max UDMA/133 cmd 0xd080 ctl 0xd000 bmdma 0xcc08 irq 18
ata2: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
ata2.00: HPA detected: current 488390625, native 488397168
ata2.00: ATA-7: SEAGATE STN7225SBSUN250G 0703B217RZ,   3.AZG, max UDMA/133
ata2.00: 488390625 sectors, multi 16: LBA48 NCQ (depth 0/32)
ata2.00: configured for UDMA/133

And the HDD support the NCQ function and already in enabled mode
[root@nsgsh-dhcp-130 ~]# hdparm -I /dev/sda

        Enabled Supported:
           *    SMART feature set
                Security Mode feature set
           *    Power Management feature set
           *    Write cache
           *    Look-ahead
           *    Host Protected Area feature set
           *    WRITE_BUFFER command
           *    READ_BUFFER command
           *    DOWNLOAD_MICROCODE
                SET_MAX security extension
           *    48-bit Address feature set
           *    Device Configuration Overlay feature set
           *    Mandatory FLUSH_CACHE
           *    FLUSH_CACHE_EXT
           *    SMART error logging
           *    SMART self-test
           *    General Purpose Logging feature set
                64-bit World wide name
                unknown 84[11]
                unknown 84[12]
           *    SATA-I signaling speed (1.5Gb/s)
           *    SATA-II signaling speed (3.0Gb/s)
           *    Native Command Queueing (NCQ)
           *    Phy event counters
                Device-initiated interface power management
           *    Software settings preservation

Version-Release number of selected component (if applicable):
HDD:Seagae ST3250820NS
How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
We have tried to change the queue_depth by 
"echo 31 > /sys/block/sdX/device/queue_depth"

[root@nsgsh-dhcp-211 grub]# echo 31 > /sys/block/sda/device/queue_depth 
-bash: /sys/block/sda/device/queue_depth: Permission denied
Comment 1 David Milburn 2010-05-07 11:28:31 EDT
Would you please test a more recent kernel? 


If this fails, please attach you full dmesg output after boot, thanks.
Comment 2 David Milburn 2010-05-25 18:32:01 EDT
Closing, please re-open if necessary.

Note You need to log in before you can comment on or make changes to this bug.